%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-contrail
%global commit c0f7cde686c20ce139c184c688e9f7d13dcd0743
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-contrail
Version:        1.0.0
Release:        3%{?alphatag}%{?dist}
Summary:        Puppet module for Juniper OpenContrail
License:        Apache-2.0

URL:            https://github.com/redhat-cip/puppet-contrail

Source0:        https://github.com/redhat-cip/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=c0f7cde686c20ce139c184c688e9f7d13dcd0743
#
Patch0001: 0001-Make-parameterize-vgw-fix-the-overall-workflow-for-v.patch
Patch0002: 0002-Added-notify-to-trigger-network-device-reset-when-ne.patch
Patch0003: 0003-Corrected-VIRTUAL-HOST-INTERFACE-variable-expansion-.patch
Patch0004: 0004-fixes-from-review.patch
Patch0005: 0005-Moved-qemu-changes-out-into-it-s-own-class-chained-f.patch
Patch0006: 0006-fixed-backticks-in-qemu.pp-and-removed-duplicate-ini.patch
Patch0007: 0007-another-quoting-fix.patch
Patch0008: 0008-Multiple-network-handling-changes-by-Alex-Schultz.patch
Patch0009: 0009-fix-typo.patch
Patch0010: 0010-Create-rspec-tests-for-puppet-classes.patch
Patch0011: 0011-Latest-changes-per-pull-comments.patch
Patch0012: 0012-initial-tripleo-newton-changes.patch
Patch0013: 0013-removed-libvirt-patches.patch
Patch0014: 0014-fixup.patch
Patch0015: 0015-add-boost-install.patch
Patch0016: 0016-fixup.patch
Patch0017: 0017-added-kafka-parameters.patch
Patch0018: 0018-fixup.patch
Patch0019: 0019-adjusted-contrail-dns.conf-path.patch
Patch0020: 0020-changed-contrail-database-package.patch
Patch0021: 0021-added-zk-service.patch
Patch0022: 0022-fixup.patch
Patch0023: 0023-fixup.patch
Patch0024: 0024-fixup.patch
Patch0025: 0025-added-selinux-rules-for-netns.patch
Patch0026: 0026-fixup.patch
Patch0027: 0027-fixup.patch
Patch0028: 0028-fixup.patch
Patch0029: 0029-fixup.patch
Patch0030: 0030-change-package-install-state-from-installed-to-lates.patch
Patch0031: 0031-added-nogroup.patch
Patch0032: 0032-added-selinux-rules-for-haproxy.patch
Patch0033: 0033-changed-kafka-repl.-factor.patch
Patch0034: 0034-fixup.patch
Patch0035: 0035-fixup.patch
Patch0036: 0036-fixup.patch
Patch0037: 0037-fixup.patch
Patch0038: 0038-fixup.patch
Patch0039: 0039-fix-selinux-issue.patch
Patch0040: 0040-removed-opt-contrail-bin-vnagent_ExecStartPost.sh-co.patch
Patch0041: 0041-added-dpdk-changes.patch
Patch0042: 0042-removed-selinux-permissive.patch
Patch0043: 0043-added-nova-dpdk-patch.patch
Patch0044: 0044-added-contrail-vrouter.rules.patch
Patch0045: 0045-added-nova-dpdk-config-options.patch
Patch0046: 0046-added-dpdk-vrouter-prov-options.patch
Patch0047: 0047-added-installation-of-latest-python-gevent.patch
Patch0048: 0048-disabled-nova-dpdk-patch.patch
Patch0049: 0049-added-installation-of-contrail-nova-vif.patch
Patch0050: 0050-fixed-new-vrouter-rpm-dependencies-for-lp-https-bugs.patch
Patch0051: 0051-make-selinux-permissive-persistent-for-dpdk.patch
Patch0052: 0052-added-install-of-vrouter-common.patch
Patch0053: 0053-Support-RPM-based-deployment-for-R3.x-and-R4.0wq.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for Juniper OpenContrail

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/contrail/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/contrail/



%files
%{_datadir}/openstack-puppet/modules/contrail/


%changelog
* Wed Oct 25 2017 Mike Burns <mburns@redhat.com> 1.0.0-3.333c4a1git
- Support RPM based deployment for R3.x and R4.0wq (rhbz#1506400)

* Fri Aug 11 2017 Jason Joyce <jjoyce@redhat.com> 1.0.0-2
- added install of vrouter-common
- make selinux permissive persistent for dpdk
- fixed new vrouter rpm dependencies for lp https://bugs.launchpad.net/juniperopenstack/+bug/1704601
- added installation of contrail-nova-vif
- disabled nova dpdk patch
- added installation of latest python-gevent
- added dpdk vrouter prov options
- added nova dpdk config options
- added contrail-vrouter.rules
- added nova dpdk patch
- removed selinux permissive
- added dpdk changes
- removed /opt/contrail/bin/vnagent_ExecStartPost.sh copy for dpdk
- fix selinux issue
- fixup
- added using tenant nw for contrail
- added using tenant nw for contrail
- fixup
- fixup
- fixup
- fixup
- changed kafka repl. factor
- added selinux rules for haproxy
- added nogroup
- change package install state from installed to latest
- fixup
- fixup
- fixup
- fixup
- added selinux rules for netns
- fixup
- fixup
- fixup
- added zk service
- changed contrail database package
- adjusted contrail-dns.conf path
- fixup
- added kafka parameters
- fixup
- add boost install
- fixup
- removed libvirt patches
- initial tripleo newton changes
- Latest changes per pull comments
- Create rspec tests for puppet classes
- fix typo
- Multiple network handling changes by Alex Schultz.
- another quoting fix
- fixed backticks in qemu.pp and removed duplicate ini editing in config.pp
- Moved qemu changes out into it's own class chained from ::contrail::vrouter
- fixes from review
- Corrected VIRTUAL-HOST-INTERFACE variable expansion, added qemu configuration entries.
- Added notify to trigger network device reset when needed by startup
- Make parameterize vgw*, fix the overall workflow for vrouter deployments on compute.

* Tue Sep 20 2016 Haikel Guemar <hguemar@fedoraproject.org> - 1.0.0-1.c0f7cde.git
- Newton update 1.0.0 (c0f7cde686c20ce139c184c688e9f7d13dcd0743)


